package cn.com.origin.autocodemanager.common.operations;

import com.teamcenter.rac.util.Registry;

public class PlmLocale {

	public static final Registry reg = Registry.getRegistry(PlmLocale.class);
	public static boolean isCN = "cn".equals(PlmLocale.getString("language"));

	public static String getString(String title) {
		if (isEmpty(title)) {
			return "";
		}
		String res = reg.getString(title);
		return isEmpty(res) ? title : res;
	}

	/**
	 * 获取当前语言的字符串，格式?英文内容@@中文内容?
	 * @param str
	 * @return
	 */
	public static String getStringByLanguage(String str) {
		if (isEmpty(str)) {
			return "";
		}
		int ind = str.lastIndexOf("@@");
		if(ind<0) {
			return str;
		}
		return isCN?str.substring(ind+2):str.substring(0,ind);
	}

	private static boolean isEmpty(String title) {
		return title == null || "".equals(title.trim());
	}
}
